Page MenuHomePhabricator

How to represent several articles/pages in icons?
Closed, ResolvedPublic

Description

'articles' features the second sheet top-end behind

'referenceExisting' bottom-start

We should unify those.

Event Timeline

Volker_E created this task.Feb 24 2020, 9:23 PM
Restricted Application added a project: UI-Standardization. · View Herald TranscriptFeb 24 2020, 9:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Discovered during T208184, which should build on top of the unified icon.

Slight personal preference to referenceExisting.

Volker_E triaged this task as Low priority.Feb 26 2020, 4:29 PM
Volker_E added a project: Design.
Esanders added a comment.EditedFeb 29 2020, 6:10 PM

I prefer articles. Is this the new tabs vs spaces? Flip a coin?

(see also https://thenounproject.com/term/pages/)

Demian added a subscriber: Demian.EditedFeb 29 2020, 6:34 PM

I prefer articles. Is this the new tabs vs spaces? Flip a coin?
(see also https://thenounproject.com/term/pages/)

Just go with what's established in ooui?

referenceExisting: sheet behind is at top-left (there's no RTL version which would invert that).
Whether start or end, I would never notice the difference. Top-bottom changes the meaning more noticeably.

@Demian Commons is not up-to-date, there is T179154 about this shortcoming. We haven't found a simple way to sync them.
Source of truth is OOUI master and https://doc.wikimedia.org/oojs-ui/master/demos/?page=icons&theme=wikimediaui&direction=ltr&platform=desktop

Thanks. That practically turns my comment into: The 'articles' icon is more common than 'referenceExisting' which is used only by the Cite extension afaict.
I guess the preference depends on which type we are used to (have seen more often). For me, that would be 'articles', but the difference is not important, as Esanders suggested.

2cents: for these discussions I think it's helpful to show the icons in context

RHo removed RHo as the assignee of this task.Apr 3 2020, 2:33 PM
RHo added a subscriber: RHo.

Hi @Volker_E - I propose updating referenceExisting so that the "top" page is on the bottom left like it is on articles (and specialPages).

My reasoning is that in the icon set, generally speaking any "accessory icons", i.e., icons where there is a main symbol with the addition of an accessory, the main icon is on the left. For e.g., the edit pencil with a small padlock as the accessory makes the editLock icon.

Change 593657 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] icons: Unify 'referenceExisting' with other multi object ones

https://gerrit.wikimedia.org/r/593657

Change 593657 merged by jenkins-bot:
[oojs/ui@master] icons: Unify 'referenceExisting' with other multi object ones

https://gerrit.wikimedia.org/r/593657

Change 593819 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.38.1

https://gerrit.wikimedia.org/r/593819

Change 593819 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.38.1

https://gerrit.wikimedia.org/r/593819

Volker_E closed this task as Resolved.May 14 2020, 6:35 AM
Volker_E claimed this task.
Volker_E moved this task from Backlog to OOUI-0.38.1 on the OOUI board.
Volker_E edited projects, added OOUI (OOUI-0.38.1); removed OOUI.